编译安装 Subversion 1.6.12 通过 

最近打算用php 开发一个类似bt种子文件的分享站点,项目嘛准备托管到谷歌code上面去.

由于我是用netbeans开发的,所以之前eclipse里面用的svn 工具不能用了。因为nb 要求必须指定svn binary的路径.所以便打算安装一个svn.

可是看到ubuntu packages 里面居然还是 1.6.6 版本,而svn 已经到了 1.6.12……故而决定自己手动编译一个.

从官方站点下载源码和依赖包(注意svn 已经转投了apache foundation了),解压,进入目录

我的configure:

之前最好重新生成configure 文件.
[email protected]:~/下载/subversion-1.6.12$ ./autogen.sh

[email protected]:~/下载/subversion-1.6.12$ ./configure \
> --prefix=/usr/local/svn \
> --bindir=/usr/local/bin \
> --sbindir=/usr/local/sbin \
> --sysconfdir=/etc/sysconfig \
> --localstatedir=/var \
> --disable-mod-activation \
> --with-ssl \
> --with-jdk

由于我这个svn 只是作为客户端Client 来用的,所以关系到服务器端的功能(httpd server、svnserve)均被禁用掉了.

检查依赖,svn 几个必须的依赖(如 APR,APR-util,neon,serf等)全都放在*deps 的包里了。所以过程很顺利.

可能 sasl2 会缺依赖,sudo apt-get install libsasl2 即可.

之后,进行编译. make && make install .

过程会很漫长.完了之后.svn 就算安装成功了.

现在netbeans 已经可以找到svn 的可执行文件了.

查看svn 信息:
[email protected]:~/下载/subversion-1.6.12$ svn --version
svn,版本 1.6.12 (r955767)
编译于 Jul 4 2010,18:37:37

版权所有 (C) 2000-2009 CollabNet。
Subversion 是开放源代码软件,请参阅 http://subversion.tigris.org/ 站点。
此产品包含由 CollabNet(http://www.Collab.Net/) 开发的软件。
[ ] ( 3371 次浏览 ) 永久链接 ( 2.9 / 2035 )

<< <上一页 | 22 | 23 | 24 | 25 | 26 | 27 | 28 | 29 | 30 | 31 | 下一页> >>